> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roxom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel All Orders

> Cancel all open orders for the authenticated account.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/orders/cancel-all
openapi: 3.0.3
info:
  title: Portico API
  version: 0.1.0
servers:
  - url: https://api.roxom.com
security:
  - ApiKey: []
    ApiSignature: []
paths:
  /v1/orders/cancel-all:
    post:
      tags:
        - Orders
      summary: Cancel All Orders
      description: Cancel all open orders for the authenticated account.
      operationId: post_v1-orders-cancel-all-868f0386d3a85161824a5e57d270cdc4
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_for_CancelAllOrdersResponse'
      deprecated: false
components:
  schemas:
    ApiResponse_for_CancelAllOrdersResponse:
      title: ApiResponse_for_CancelAllOrdersResponse
      description: Represents a successful API response wrapper
      type: object
      required:
        - data
        - error
      properties:
        data:
          $ref: '#/components/schemas/CancelAllOrdersResponse'
        error:
          type: boolean
    CancelAllOrdersResponse:
      description: Cancel all orders response
      type: object
      required:
        - cancelled_order_ids
      properties:
        cancelled_order_ids:
          type: array
          items:
            type: string
            format: uuid
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your API key
    ApiSignature:
      type: apiKey
      in: header
      name: X-API-Signature
      description: The signature of the request

````